#!/bin/bash

show_usage() {
echo
echo ${0##/*}" Usage:"
echo "  Count occurrences of PAT in STRING:"
echo "${0##/} PAT STRING"
echo
exit
}

case $1 in
	""|"-h"|"--help") show_usage ;;
esac

if [[ $2 ]] ; then
 PAT=$1
 PARSESTRING=$2
else
 show_usage
fi

FREQ=0

while [[ $PARSESTRING != "" ]] ; do
	case $PARSESTRING in
		*$PAT*) 
		FREQ=$(( FREQ + 1 )) ;
		PARSESTRING=${PARSESTRING#*${PAT}} ;
		;;
		*) 
		#echo $FREQ
		PARSESTRING=""
		#exit
		;;
	esac
	# echo $FREQ
done

echo $FREQ
